
QGIS Application - Bug report #21119

SAGA missing in 3.5

2019-01-29 05:05 PM - Lene Fischer

Status: Closed

Priority: Normal

Assignee:

Category: Processing/SAGA

Affected QGIS version:3.5(master) Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 28937

Description

In 3.4 I have enabled SAGA under the Processing Settings. The same for 3.5 - but SAGA is still missing.

History

#1 - 2019-01-29 05:51 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Regression? changed from Yes to No

Cannot confirm here on Win7/Osgeo4w, using SAGA LTR.

#2 - 2019-01-29 05:54 PM - Giovanni Manghi

well... SAGA is not missing... but I tested the "fill sinks" module, and while it creates an output it also throws an error (on 3.4.4 this error does not show):

Algorithm 'Fill sinks' starting�

Input parameters:

{ 'DEM' : 'C:/Users/qgis/Desktop/postgis_training/data/rasters/mdt_clipped_3763.tif', 'MINSLOPE' : 0.01, 'RESULT' : 'TEMPORARY_OUTPUT' }

ta_preprocessor "Fill Sinks (Planchon/Darboux, 2001)" -DEM

"C:/Users/qgis/AppData/Local/Temp/processing_34b256499eaa4d8ba16b92f9f5460412/6aa8c420ee604af3a8d3a207e9e37f9a/mdtclipped3763.sgrd" -MINSLOPE 0.01 -RESULT "C:/Users/qgis/AppData/Local/Temp/processing_34b256499eaa4d8ba16b92f9f5460412/8ba543cde28f41cd84034b53dca2c7ba/RESULT.sdat" 

C:\OSGeo4W64\bin>set SAGA=C:/OSGEO4~1/apps\saga-ltr

C:\OSGeo4W64\bin>set SAGA_MLB=C:/OSGEO4~

.sgrd" -MINSLOPE 0.01 -RESULT

"C:/Users/qgis/AppData/Local/Temp/processing_34b256499eaa4d8ba16b92f9f5460412/8ba543cde28f41cd84034b53dca2c7ba/RESULT.sdat"

C:\OSGeo4W64\bin>set SAGA=C:/OSGEO4~1/apps\saga-ltr

C:\OSGeo4W64\bin>set SAGA_MLB=C:/OSGEO4~1/apps\saga-ltr\modules

C:\OSGeo4W64\bin>PATH=C:\OSGEO4~1\apps\qgis-dev\bin;C:\OSGEO4~1\apps\grass\grass-7.6.0\lib;C:\OSGEO4~1\apps\grass\grass-7.6.0\bin;C:\OSGEO4~1\apps\Python37;C:\OSGEO4~1\apps\Python37\Scripts;C:\OSGEO4~1\apps\qt5\bin;C:\OSGEO4~1\apps\Python27\Scripts;C:\OSGEO4~1\bin;C:\Windows\system32;C:\Windows;C:\Windows\system32\WBem;C:\OSGEO4~1\apps\Python37\lib\site-packages\numpy\.libs;C:/OSGEO4~1/apps\saga-ltr;C:/OSGEO4~1/apps\saga-ltr\modules

C:\OSGeo4W64\bin>saga_cmd ta_preprocessor "Fill Sinks (Planchon/Darboux, 2001)" -DEM "C:/Users/qgis/AppData/Local/Temp/processing_34b256499eaa4d8ba16b92f9f5460412/6aa8c420ee604af3a8d3a207e9e37f9a/mdtclipped3763.sgrd" -MINSLOPE 0.01 -RESULT "C:/Users/qgis/AppData/Local/Temp/processing_34b256499eaa4d8ba16b92f9f5460412/8ba543cde28f41cd84

bin;C:\OSGEO4~1\apps\Python37;C:\OSGEO4~1\apps\Python37\Scripts;C:\OSGEO4~1\apps\qt5\bin;C:\OSGEO4~1\apps\Python27\Scripts;C:\OSGEO4~1\bin;C:\Windows\system32;C:\Windows;C:\Windows\system32\WBem;C:\OSGEO4~1\apps\Python37\lib\site-packages\numpy\.libs;C:/OSGEO4~1/apps\saga-ltr;C:/OSGEO4~1/apps\saga-ltr\modules

C:\OSGeo4W64\bin>saga_cmd ta_preprocessor "Fill Sinks (Planchon/Darboux, 2001)" -DEM "C:/Users/qgis/AppData/Local/Temp/processing_34b256499eaa4d8ba16b92f9f5460412/6aa8c420ee604af3a8d3a207e9e37f9a/mdtclipped3763.sgrd" -MINSLOPE 0.01 -RESULT "C:/Users/qgis/AppData/Local/Temp/processing_34b256499eaa4d8ba16b92f9f5460412/8ba543cde28f41cd84034b53dca2c7ba/RESULT.sdat" 
____________________________

##### ## ##### ##
### ### ## ###
### # ## ## #### # ##
### ##### ## # #####
##### # ## ##### # ##
____________________________

SAGA Version: 2.3.2 (64 bit)

____________________________
library

SGEO4~1\bin;C:\Windows\system32;C:\Windows;C:\Windows\system32\WBem;C:\OSGEO4~1\apps\Python37\lib\site-packages\numpy\.libs;C:/OSGEO4~1/apps\saga-ltr;C:/OSGEO4~1/apps\saga-ltr\modules

C:\OSGeo4W64\bin>saga_cmd ta_preprocessor "Fill Sinks (Planchon/Darboux, 2001)" -DEM "C:/Users/qgis/AppData/Local/Temp/processing_34b256499eaa4d8ba16b92f9f5460412/6aa8c420ee604af3a8d3a207e9e37f9a/mdtclipped3763.sgrd" -MINSLOPE 0.01 -RESULT "C:/Users/qgis/AppData/Local/Temp/processing_34b256499eaa4d8ba16b92f9f5460412/8ba543cde28f41cd84034b53dca2c7ba/RESULT.sdat" 
____________________________

##### ## ##### ##
### ### ## ###
### # ## ## #### # ##
### ##### ## # #####
##### # ## ##### # ##
____________________________

SAGA Version: 2.3.2 (64 bit)

____________________________
library path: C:\OSGEO4~1\apps\saga-ltr\modules\
library name: ta_preprocessor
library : Preprocessing
tool : Fill Sinks (Planchon/Darboux, 2001)
author : Copyrights (c) 2003 by Volker Wichmann
processors : 2 [2]
____________________________

Load grid: C:/Users

SGEO4~1/apps\saga-ltr;C:/OSGEO4~1/apps\saga-ltr\modules

C:\OSGeo4W64\bin>saga_cmd ta_preprocessor "Fill Sinks (Planchon/Darboux, 2001)" -DEM

"C:/Users/qgis/AppData/Local/Temp/processing_34b256499eaa4d8ba16b92f9f5460412/6aa8c420ee604af3a8d3a207e9e37f9a/mdtclipped3763.sgrd" -MINSLOPE 0.01 -RESULT "C:/Users/qgis/AppData/Local/Temp/processing_34b256499eaa4d8ba16b92f9f5460412/8ba543cde28f41cd84034b53dca2c7ba/RESULT.sdat" 
____________________________

##### ## ##### ##
### ### ## ###
### # ## ## #### # ##
### ##### ## # #####
##### # ## ##### # ##
____________________________

SAGA Version: 2.3.2 (64 bit)

____________________________
library path: C:\OSGEO4~1\apps\saga-ltr\modules\
library name: ta_preprocessor
library : Preprocessing
tool : Fill Sinks (Planchon/Darboux, 2001)
author : Copyrights (c) 2003 by Volker Wichmann
processors : 2 [2]
____________________________

Load grid: C:/Users/qgis/AppData/Local/Temp/processing_34b256499eaa4d8ba16b92f9f5460412/6aa8c420ee604af3a8d3a207e9e37f9a/mdtclipped3763.sgrd...

Parameters

Grid system: 80; 559x 455y; 10283.085928x 54418.184309y
DEM: mdtclipped3763
Filled DEM: Filled DEM
Minimum Slope [Degree]: 0.010000

C:\OSGeo4W64\bin>exit
Execution completed in 22.13 seconds
Results:
{'RESULT': 'C:/Users/qgis/AppData/Local/Temp/processing_34b256499eaa4d8ba16b92f9f5460412/8ba543cde28f41cd84034b53dca2c7ba/RESULT.sdat'}

Loading resulting layers
*The following layers were not corre

.sgrd" -MINSLOPE 0.01 -RESULT

"C:/Users/qgis/AppData/Local/Temp/processing_34b256499eaa4d8ba16b92f9f5460412/8ba543cde28f41cd84034b53dca2c7ba/RESULT.sdat"
____________________________

##### ## ##### ##

### ### ## ###

### # ## ## #### # ##

### ##### ## # #####

##### # ## ##### # ##

____________________________

SAGA Version: 2.3.2 (64 bit)

____________________________

library path: C:\OSGEO4~1\apps\saga-ltr\modules\

library name: ta_preprocessor

library : Preprocessing

tool : Fill Sinks (Planchon/Darboux, 2001)

author : Copyrights (c) 2003 by Volker Wichmann

processors : 2 [2]

____________________________

Load grid:

C:/Users/qgis/AppData/Local/Temp/processing_34b256499eaa4d8ba16b92f9f5460412/6aa8c420ee604af3a8d3a207e9e37f9a/mdtclipped3763.sgrd...

Parameters

Grid system: 80; 559x 455y; 10283.085928x 54418.184309y
DEM: mdtclipped3763
Filled DEM: Filled DEM
Minimum Slope [Degree]: 0.010000

C:\OSGeo4W64\bin>exit
Execution completed in 22.13 seconds
Results:
{'RESULT': 'C:/Users/qgis/AppData/Local/Temp/processing_34b256499eaa4d8ba16b92f9f5460412/8ba543cde28f41cd84034b53dca2c7ba/RESULT.sdat'}

Loading resulting layers
*The following layers were not correctly generated*.<ul><li>C:/Users/qgis/AppData/Local/Temp/processing_34b256499eaa4d8ba16b92f9f5460412/3cd076f332d04fd69dc734e6018e3540/RESULT.sdat</li></ul>You can check the 'Log Messages Panel' in QGIS main window to find more information about the execution of the algorithm.


.sgrd...

Parameters

Grid system: 80; 559x 455y; 10283.085928x 54418.184309y

DEM: mdtclipped3763

Filled DEM: Filled DEM

Minimum Slope [Degree]: 0.010000

C:\OSGeo4W64\bin>exit

Execution completed in 22.13 seconds

Results:

{'RESULT':

'C:/Users/qgis/AppData/Local/Temp/processing_34b256499eaa4d8ba16b92f9f5460412/8ba543cde28f41cd84034b53dca2c7ba/RESULT.sdat'}

Loading resulting layers

*The following layers were not correctly

generated*.<ul><li>C:/Users/qgis/AppData/Local/Temp/processing_34b256499eaa4d8ba16b92f9f5460412/3cd076f332d04fd69dc734e6018e3540/RESULT.sdat</li></ul>You can check the 'Log Messages Panel' in QGIS main window to find more information about the execution of the algorithm.


40/RESULT.sdat</li></ul>You can check the 'Log Messages Panel' in QGIS main window to find more information about the execution of the

algorithm.

#3 - 2019-01-29 06:39 PM - Lene Fischer

Any idea how I can find SAGA in 3.5 :-)

#4 - 2019-01-29 06:40 PM - Giovanni Manghi
Lene Fischer wrote:

Any idea how I can find SAGA in 3.5 :-)

On a clean Windows 7 environment I didn't anything special: used osgeo4w, installed the qgis-dev and saga-ltr packages.

#5 - 2019-01-29 07:04 PM - Lene Fischer

But I don´t have a clean Windows - I´m only trying out my tutorials on the new version to catch bugs before the next release :-)

#6 - 2019-01-29 07:13 PM - Giovanni Manghi

Lene Fischer wrote:

But I don´t have a clean Windows - I´m only trying out my tutorials on the new version to catch bugs before the next release :-)

can you try for example in a Virtual machine? Just to understand if you see any difference in a fresh Win install.

#7 - 2019-01-30 12:11 AM - Gabriel De Luca

Here, for OSGeo4W installs on Windows 10, 64 bit, SAGA tools are shown and works for both QGIS 3.4.4 and QGIS 3.5.

About the error loading the temporary .sdat file, it is also shown in both QGIS versions. But QGIS 3.4.4 shows the error and do not load the layer.

#8 - 2019-01-30 08:27 AM - Lene Fischer

SILLY ME: I forgot to add SAGA in the installation -SO SORRY for disturbing !

You can close this ticket.

#9 - 2019-01-30 10:03 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to wontfix

#10 - 2019-01-30 10:04 AM - Jürgen Fischer

- Resolution changed from wontfix to invalid
